Bug 136093 - missing return statement
missing return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crypto-utils (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 15:46 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 07:09:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-17 15:46:55 EDT
Description of problem:

I just tried to compile package crypto-utils-2.1-1 from package
Redhat Fedora Core 3 Test 3.

The compiler said

unix_truerand.c(83): warning #1011: missing return statement at end of
non-void
function "tick"

The source code is

        if (setitimer(ITIMER_REAL, &it, &oit) < 0)
                perror("tick");
}

Suggest add return statement at end of function.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2004-10-20 07:09:56 EDT
Thanks for the report; fixed in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.